body {
  margin: 0;
  padding: 0;
  font-family: "Poppins";
}

nav,
footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 3rem;
}

.logo {
  width: 200px;
  cursor: pointer;
  z-index: 3;
}

ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
  align-items: center;
}

ul li {
  margin-right: 20px;
}

ul li a {
  color: white;
  text-decoration: none;
  transition: color 0.3s;
}

ul li a:hover {
  color: rosybrown;
}

.checkbtn {
  font-size: 28px;
  color: white;
  cursor: pointer;
  display: none;
}

#check {
  display: none;
}
.header {
  background-image: linear-gradient(
    rgb(0, 0, 0, 0.7),
    rgb(0, 0, 0, 0.5),
    rgb(0, 0, 0, 0.3),
    rgb(0, 0, 0, 0.1)
  );
  background-color: maroon;
  color: white;
}

.header h1 {
  text-align: center;
  align-items: start;
  font-size: 150px;
  opacity: 0;
  transform: translateY(30px);
  animation: moveup 0.5s linear forwards;
}

.sponsor-icons {
  height: auto;
  margin: 100px;
  opacity: 0;
  transform: translateY(30px);
  animation: moveup 0.5s linear forwards;
}
@keyframes moveup {
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}

.sponsor-icons img {
  /* width:  100px; */
  max-height: 250px;
  object-fit: contain;
  padding: 25px;
}

footer {
  color: maroon;
  font-size: 16px;
}

a {
  color: maroon;
}

.socials {
  align-items: center;
  width: 50px;
  cursor: pointer;
}

@keyframes moveup {
  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}

.nav-button {
  border-style: solid;
  display: block;
  width: 75px;
  background: linear-gradient(rgb(42, 0, 0, 1), rgb(128, 0, 0, 0.7));
  padding: 12px;
  text-align: center;
  border-radius: 10px;
  line-height: 25px;
}

@media (max-width: 900px) {
  .checkbtn {
    display: block;
    order: 1;
    margin-right: 20px;
    z-index: 3;
  }

  nav ul {
    position: fixed;
    top: 0px;
    right: -100%;
    background-color: maroon;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: all 0.3s;
    z-index: 2;
  }

  ul li {
    margin: 20px 0;
  }

  ul li a {
    font-size: 20px;
    color: white;
  }

  #check:checked ~ ul {
    right: 0;
  }

  nav,
  footer {
    padding: 1rem 2rem;
  }

  footer {
    font-size: 14px;
  }

  .socials {
    width: 40px;
  }

  .nav-button {
    width: 85px;
    padding: 15px;
  }

  .header h1 {
    font-size: 50px;
  }

  .sponsor-icons img {
    max-height: 100%;
    max-width:  90%;
    display: block;
    margin-top: 3rem;
    margin-bottom: 3rem;
    margin-left: auto;
    margin-right: auto;
    padding: 0;
  }
}
